Bug 378 - System.Net.Dns.GetHostName()
Summary: System.Net.Dns.GetHostName()
Status: RESOLVED NORESPONSE
Alias: None
Product: Class Libraries
Classification: Mono
Component: System (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2011-08-24 06:01 UTC by GodZza
Modified: 2018-03-13 11:05 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description GodZza 2011-08-24 06:01:33 UTC
System.Net.Dns.GetHostName(), if the name is not a ascii. the function will be return null.
Comment 1 Jeffrey Stedfast 2011-08-24 10:36:14 UTC
Which version of Mono are you using?
Comment 2 GodZza 2011-08-29 23:14:51 UTC
// Assembly System, Version 2.0.5.0

Name: System, Version=2.0.5.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e 
Type: Library 


I'm sorry,maybe the version is 2.0.5.0.
When I use the Unity3d and found this problem.
Comment 3 GodZza 2011-08-29 23:28:07 UTC
namespace:Mono.Security.X509
Comment 4 GodZza 2011-08-29 23:31:27 UTC
// Assembly System, Version 2.0.5.0

Name: System, Version=2.0.5.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e 
Type: Library 

namespace Mono.Security.X509


I'm sorry,maybe the version is 2.0.5.0.
When I use the Unity3d 3.3.0f4 and found this problem.
Comment 5 Gonzalo Paniagua Javier 2011-08-30 09:45:44 UTC
What name are you trying to resolve?
Can you attach a small test case that reproduces the problem?
Comment 6 Marek Safar 2018-03-13 11:05:14 UTC
We have not received the requested information. If you are still experiencing this issue please provide all the requested information and reopen the bug report.

Thank you!